using System;
using System.Threading;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using GHI.Pins;

namespace Panda_3_INT
{
    public class Program
    {
        static OutputPort LED;

        public static void Main()
        {
            LED = new OutputPort(FEZPandaIII.Gpio.Led1,false) ;
            // La broche gnrera une interruption sur chaque front (montant et descendant)
            InterruptPort BPLdr0 = new InterruptPort(FEZPandaIII.Gpio.Ldr0, true, Port.ResistorMode.PullUp, Port.InterruptMode.InterruptEdgeBoth);

            // Dclaration d'un gestionnaire d'interruption
            BPLdr0.OnInterrupt += new NativeEventHandler(BPLDR0_OnInterrupt);

            Thread.Sleep(Timeout.Infinite); // Aprs l'initialisation, Main n'est plus utilis
        }

        static void BPLDR0_OnInterrupt(uint port, uint state, DateTime time)
        {
            LED.Write(state == 0);
            if (state == 0)
            {
                Debug.Print("BP Activ");
            }
            else
            {
                Debug.Print("BP Relch");
            }
        }
    }
}
